<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md)

## sip.js package

A simple yet powerful API which takes care of SIP signaling and WebRTC media sessions for you.

## Classes

|  Class | Description |
|  --- | --- |
|  [Ack](./sip.js.ack.md) | A request to confirm a [Session](./sip.js.session.md) (incoming ACK). |
|  [Bye](./sip.js.bye.md) | A request to end a [Session](./sip.js.session.md) (incoming BYE). |
|  [ContentTypeUnsupportedError](./sip.js.contenttypeunsupportederror.md) | An exception indicating an unsupported content type prevented execution. |
|  [Info](./sip.js.info.md) | An exchange of information (incoming INFO). |
|  [Invitation](./sip.js.invitation.md) | An invitation is an offer to establish a [Session](./sip.js.session.md) (incoming INVITE). |
|  [Inviter](./sip.js.inviter.md) | An inviter offers to establish a [Session](./sip.js.session.md) (outgoing INVITE). |
|  [Message](./sip.js.message.md) | A received message (incoming MESSAGE). |
|  [Messager](./sip.js.messager.md) | A messager sends a [Message](./sip.js.message.md) (outgoing MESSAGE). |
|  [Notification](./sip.js.notification.md) | A notification of an event (incoming NOTIFY). |
|  [Publisher](./sip.js.publisher.md) | A publisher publishes a publication (outgoing PUBLISH). |
|  [Referral](./sip.js.referral.md) | A request to establish a [Session](./sip.js.session.md) elsewhere (incoming REFER). |
|  [Registerer](./sip.js.registerer.md) | A registerer registers a contact for an address of record (outgoing REGISTER). |
|  [RequestPendingError](./sip.js.requestpendingerror.md) | An exception indicating an outstanding prior request prevented execution. |
|  [Session](./sip.js.session.md) | A session provides real time communication between one or more participants. |
|  [SessionDescriptionHandlerError](./sip.js.sessiondescriptionhandlererror.md) | An exception indicating a session description handler error occured. |
|  [SessionTerminatedError](./sip.js.sessionterminatederror.md) | An exception indicating the session terminated before the action completed. |
|  [StateTransitionError](./sip.js.statetransitionerror.md) | An exception indicating an invalid state transition error occured. |
|  [Subscriber](./sip.js.subscriber.md) | A subscriber establishes a [Subscription](./sip.js.subscription.md) (outgoing SUBSCRIBE). |
|  [Subscription](./sip.js.subscription.md) | A subscription provides [Notification](./sip.js.notification.md) of events. |
|  [UserAgent](./sip.js.useragent.md) | A user agent sends and receives requests using a <code>Transport</code>. |

## Enumerations

|  Enumeration | Description |
|  --- | --- |
|  [PublisherState](./sip.js.publisherstate.md) | [Publisher](./sip.js.publisher.md) state. |
|  [RegistererState](./sip.js.registererstate.md) | [Registerer](./sip.js.registerer.md) state. |
|  [SessionState](./sip.js.sessionstate.md) | [Session](./sip.js.session.md) state. |
|  [SIPExtension](./sip.js.sipextension.md) | SIP extension support level. |
|  [SubscriptionState](./sip.js.subscriptionstate.md) | [Subscription](./sip.js.subscription.md) state. |
|  [TransportState](./sip.js.transportstate.md) | [Transport](./sip.js.transport.md) state. |
|  [UserAgentState](./sip.js.useragentstate.md) | [UserAgent](./sip.js.useragent.md) state. |

## Interfaces

|  Interface | Description |
|  --- | --- |
|  [BodyAndContentType](./sip.js.bodyandcontenttype.md) | Message body content and type. |
|  [Emitter](./sip.js.emitter.md) | Generic observable. |
|  [InvitationAcceptOptions](./sip.js.invitationacceptoptions.md) | Options for [Invitation.accept()](./sip.js.invitation.accept.md)<!-- -->. |
|  [InvitationProgressOptions](./sip.js.invitationprogressoptions.md) | Options for [Invitation.progress()](./sip.js.invitation.progress.md)<!-- -->. |
|  [InvitationRejectOptions](./sip.js.invitationrejectoptions.md) | Options for [Invitation.reject()](./sip.js.invitation.reject.md)<!-- -->. |
|  [InviterCancelOptions](./sip.js.invitercanceloptions.md) | Options for [Inviter.cancel()](./sip.js.inviter.cancel.md)<!-- -->. |
|  [InviterInviteOptions](./sip.js.inviterinviteoptions.md) | Options for [Inviter.invite()](./sip.js.inviter.invite.md)<!-- -->. |
|  [InviterOptions](./sip.js.inviteroptions.md) | Options for [Inviter](./sip.js.inviter.md) constructor. |
|  [MessagerMessageOptions](./sip.js.messagermessageoptions.md) | Options for [Messager.message()](./sip.js.messager.message.md)<!-- -->. |
|  [MessagerOptions](./sip.js.messageroptions.md) | Options for [Messager](./sip.js.messager.md) constructor. |
|  [PublisherOptions](./sip.js.publisheroptions.md) | Options for [Publisher](./sip.js.publisher.md) constructor. |
|  [PublisherPublishOptions](./sip.js.publisherpublishoptions.md) | Options for [Publisher.publish()](./sip.js.publisher.publish.md)<!-- -->. |
|  [PublisherUnpublishOptions](./sip.js.publisherunpublishoptions.md) | Options for [Publisher.unpublish()](./sip.js.publisher.unpublish.md)<!-- -->. |
|  [RegistererOptions](./sip.js.registereroptions.md) | Options for [Registerer](./sip.js.registerer.md) constructor. |
|  [RegistererRegisterOptions](./sip.js.registererregisteroptions.md) | Options for [Registerer.register()](./sip.js.registerer.register.md)<!-- -->. |
|  [RegistererUnregisterOptions](./sip.js.registererunregisteroptions.md) | Options for [Registerer.unregister()](./sip.js.registerer.unregister.md)<!-- -->. |
|  [SessionByeOptions](./sip.js.sessionbyeoptions.md) | Options for [Session.bye()](./sip.js.session.bye.md)<!-- -->. |
|  [SessionDelegate](./sip.js.sessiondelegate.md) | Delegate for [Session](./sip.js.session.md)<!-- -->. |
|  [SessionDescriptionHandler](./sip.js.sessiondescriptionhandler.md) | Delegate for [Session](./sip.js.session.md) offer/answer exchange. |
|  [SessionDescriptionHandlerFactory](./sip.js.sessiondescriptionhandlerfactory.md) | Factory for [SessionDescriptionHandler](./sip.js.sessiondescriptionhandler.md)<!-- -->. |
|  [SessionDescriptionHandlerModifier](./sip.js.sessiondescriptionhandlermodifier.md) | Modifier for [SessionDescriptionHandler](./sip.js.sessiondescriptionhandler.md) offer/answer. |
|  [SessionDescriptionHandlerOptions](./sip.js.sessiondescriptionhandleroptions.md) | Options for [SessionDescriptionHandler](./sip.js.sessiondescriptionhandler.md) methods. |
|  [SessionInfoOptions](./sip.js.sessioninfooptions.md) | Options for [Session.info()](./sip.js.session.info.md)<!-- -->. |
|  [SessionInviteOptions](./sip.js.sessioninviteoptions.md) | Options for [Session.invite()](./sip.js.session.invite.md)<!-- -->. |
|  [SessionMessageOptions](./sip.js.sessionmessageoptions.md) | Options for [Session.message()](./sip.js.session.message.md)<!-- -->. |
|  [SessionOptions](./sip.js.sessionoptions.md) | Options for [Session](./sip.js.session.md) constructor. |
|  [SessionReferOptions](./sip.js.sessionreferoptions.md) | Options for [Session.refer()](./sip.js.session.refer.md)<!-- -->. |
|  [SubscriberOptions](./sip.js.subscriberoptions.md) | Options for [Subscriber](./sip.js.subscriber.md) constructor. |
|  [SubscriberSubscribeOptions](./sip.js.subscribersubscribeoptions.md) | Options for [Subscriber.subscribe()](./sip.js.subscriber.subscribe.md)<!-- -->. |
|  [SubscriptionDelegate](./sip.js.subscriptiondelegate.md) | Delegate for [Subscription](./sip.js.subscription.md)<!-- -->. |
|  [SubscriptionOptions](./sip.js.subscriptionoptions.md) | Options for [Subscription](./sip.js.subscription.md) constructor. |
|  [SubscriptionSubscribeOptions](./sip.js.subscriptionsubscribeoptions.md) | Options for [Subscription.subscribe()](./sip.js.subscription.subscribe.md)<!-- -->. |
|  [SubscriptionUnsubscribeOptions](./sip.js.subscriptionunsubscribeoptions.md) | Options for [Subscription.unsubscribe()](./sip.js.subscription.unsubscribe.md)<!-- -->. |
|  [Transport](./sip.js.transport.md) | Transport layer interface expected by the <code>UserAgent</code>. |
|  [UserAgentDelegate](./sip.js.useragentdelegate.md) | Delegate for [UserAgent](./sip.js.useragent.md)<!-- -->. |
|  [UserAgentOptions](./sip.js.useragentoptions.md) | Options for [UserAgent](./sip.js.useragent.md) constructor. |

## Variables

|  Variable | Description |
|  --- | --- |
|  [UserAgentRegisteredOptionTags](./sip.js.useragentregisteredoptiontags.md) | SIP Option Tags |

## Type Aliases

|  Type Alias | Description |
|  --- | --- |
|  [LogConnector](./sip.js.logconnector.md) | Log connector function. |
|  [LogLevel](./sip.js.loglevel.md) | Log level. |

